%define pkg_name        Mail-Mbox-MessageParser
%define pkg_version     1.5000
%define rpm_pkg_version 1.50_00
%define rpm_pkg_release 1.n0i.5

Summary:       A fast and simple mbox folder reader
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCOPPIT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(FileHandle::Unget)


%description
This module implements a fast but simple mbox folder reader. One of three
implementations (Cache, Grep, Perl) will be used depending on the wishes of
the user and the system configuration.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc anonymize_mailbox CHANGES LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.50_00-1.n0i.5.1.5000
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.5000

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 1.40_03-1.n0i.4.1.4003
- version 1.4003

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.40_02-1.n0i.3.1.4002
- version 1.4002

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 1.40_01-1.n0i.2.1.4001
- version 0.40001

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 1.40-1.n0i.1.1.4000
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
